<?php
namespace Claromentis\Infocapture\Filter;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("project_" . "id" => base64_decode("cHJva" . "mVjdF" . "9pZA=" . "="), "_5159b3572969" . "eca46acd1b2e1" . "418459c" => base64_decode("aW1wbG9" . "kZQ=="), "stat" . "us" => base64_decode("c3Rh" . "dHVz"), "_4d707fab93bebb" . "00bbe69e8159697" . "c90" => base64_decode(""), "_57c0a2f09e2a920c0560" . "baffc5e3d295" => base64_decode("cmVwb3" . "J0ZXJz"), "_7276e0af756e529d30a" . "f7aaafe4e7784" => base64_decode("YXJ" . "jaG" . "l2Z" . "WQ="), "_8af1b1bd0c05175c" . "85a4cee44d47d2da" => base64_decode("cXVlcn" . "lfZmll" . "bGRz"), "_1ac5cc48c34c5362e94d" . "8667cc7b0ddc" => base64_decode("LA=" . "="), "_ff248fe1eba68f190ea1ff00a55" . "4acde" => base64_decode("YXNzaWduZWU" . "="), "_8f3ef8878b2a82b830d051a05" . "9162317" => base64_decode("Y3JlY" . "XRlZF" . "9mcm9" . "t"), "_7608a2690" . "229dd26ac4" . "3cb60aa2a7" . "d97" => base64_decode("bGFzdF9tb2RpZmllZA" . "=="), "_7f5aa4e96d4b415a86e" . "d72ebff677cbe" => base64_decode("cXVl" . "cnk="), "_c42d618" . "c08b720c" . "25b90ad5" . "550e2db2" . "f" => base64_decode("cmVwb3J" . "0ZXI="), "_f73dab606630b388645c4f7d3fbb" . "13bb" => base64_decode("YXJyYXlfbWVyZ2U" . "="), "_83396ddd" . "fc39e2677" . "5d1e61db5" . "abf86b" => base64_decode("bW9uaXRvcml" . "uZw=="), "_5ecedeb8c083d" . "4a2a4ebef55260" . "97f58" => base64_decode("YXNz" . "aWdu" . "ZWVz"));
use Claromentis\Core\Util\StringUtil;
use Date;
use Psr\Http\Message\ServerRequestInterface;
use Throwable;
class IssueFilter extends AbstractFilter
{
    
    
    
    
    protected ?int $projectId = null;
    
    
    
    
    protected array $reporter = [];
    
    
    
    
    protected array $assignee = [];
    
    
    
    
    protected ?bool $archived = null;
    
    
    
    
    protected bool $monitoring = false;
    
    
    
    
    protected ?string $query = null;
    
    
    
    
    
    
    protected array $queryFields = [];
    
    
    
    
    
    
    
    public function fill(ServerRequestInterface $request) : void
    {
        $parameters = $request->getQueryParams();
        $this->setPaginationAttributesFromRequest($request);
        $this->setReporters($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_c42d618c08b720c25b90ad5550e2d" . "b2f"]] ?? $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_4d707fab93beb" . "b00bbe69e81596" . "97c90"]);
        $this->setAssignees($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_ff248fe1" . "eba68f190" . "ea1ff00a5" . "54acde"]] ?? $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_4d707fab93bebb00bbe6" . "9e8159697c90"]);
        $this->setStatus($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["sta" . "tus"]] ?? null);
        $this->setCreatedDate($this->formatDate($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_8f3ef8878b2a82b83" . "0d051a059162317"]] ?? null));
        $this->setModifiedDate($this->formatDate($parameters[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_7608a269" . "0229dd26a" . "c43cb60aa" . "2a7d97"]] ?? null));
        if (isset($parameters[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_7276e0af756e529d30af7aaa" . "fe4e7784"]])) {
            $this->setArchived(StringUtil::parseBoolean($parameters[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_7276e0af756e52" . "9d30af7aaafe4e7" . "784"]]));
        }
        if (isset($parameters[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_83396dddfc39e26775d1e61db5a" . "bf86b"]])) {
            $this->setMonitoring(StringUtil::parseBoolean($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_83396dddfc39e26775d1e61db" . "5abf86b"]]));
        }
        $this->setQuery($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_7f5aa4e96d4b415a86ed72ebff" . "677cbe"]] ?? null);
        if (isset($parameters[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_8af1b1bd0c05175c8" . "5a4cee44d47d2da"]])) {
            $this->setQueryFields($parameters[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_8af1b1bd0c051" . "75c85a4cee44d4" . "7d2da"]]);
        }
    }
    public function getProjectId() : ?int
    {
        return $this->projectId;
    }
    public function setProjectId(?int $projectId = null) : void
    {
        $this->projectId = $projectId;
    }
    public function getReporterList() : array
    {
        return $this->reporter;
    }
    public function setReporters(string $_c42d618c08b720c25b90ad5550e2db2f) : void
    {
        StringUtil::validateCommaSeparatedList($_c42d618c08b720c25b90ad5550e2db2f);
        $this->reporter = StringUtil::splitCommaSeparatedList($_c42d618c08b720c25b90ad5550e2db2f);
    }
    public function getAssigneeList() : array
    {
        return $this->assignee;
    }
    public function setAssignees(string $_ff248fe1eba68f190ea1ff00a554acde) : void
    {
        StringUtil::validateCommaSeparatedList($_ff248fe1eba68f190ea1ff00a554acde);
        $this->assignee = StringUtil::splitCommaSeparatedList($_ff248fe1eba68f190ea1ff00a554acde);
    }
    public function getArchived() : ?bool
    {
        return $this->archived;
    }
    public function setArchived(?bool $_7276e0af756e529d30af7aaafe4e7784) : void
    {
        $this->archived = $_7276e0af756e529d30af7aaafe4e7784;
    }
    public function getMonitoring() : bool
    {
        return $this->monitoring;
    }
    public function setMonitoring(bool $_83396dddfc39e26775d1e61db5abf86b) : void
    {
        $this->monitoring = $_83396dddfc39e26775d1e61db5abf86b;
    }
    public function getQuery() : ?string
    {
        return $this->query;
    }
    public function setQuery(?string $_7f5aa4e96d4b415a86ed72ebff677cbe) : void
    {
        $this->query = $_7f5aa4e96d4b415a86ed72ebff677cbe;
    }
    
    
    
    
    public function getQueryFields() : array
    {
        return $this->queryFields;
    }
    public function setQueryFields(string $_fc95e77eab852b63129161149bcdac0d) : void
    {
        StringUtil::validateCommaSeparatedList($_fc95e77eab852b63129161149bcdac0d);
        $this->queryFields = StringUtil::splitCommaSeparatedList($_fc95e77eab852b63129161149bcdac0d);
    }
    public function toArray() : array
    {
        return $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_f73dab606630b388645c4f7d3fbb13" . "bb"](parent::toArray(), [$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["project" . "_id"] => $this->projectId, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_57c0a2f09e2a920c0" . "560baffc5e3d295"] => !empty($this->reporter) ? $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_5159b3572969" . "eca46acd1b2e1" . "418459c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_1ac5cc48c34c5362e9" . "4d8667cc7b0ddc"], $this->reporter) : null, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_5ecedeb8c083d4a2a4ebef552609" . "7f58"] => !empty($this->assignee) ? $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_5159b3572969eca46acd" . "1b2e1418459c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_1ac5cc48c34c5362e" . "94d8667cc7b0ddc"], $this->assignee) : null, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_7276e0af756e529d30af7a" . "aafe4e7784"] => $this->archived, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_83396dddfc39e26775" . "d1e61db5abf86b"] => $this->monitoring, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["statu" . "s"] => $this->status]);
    }
    
    
    
    
    
    
    
    
    
    private function formatDate(?string $_67a0d624aebcceb0abd5ce56a53ff06f) : ?Date
    {
        if ($_67a0d624aebcceb0abd5ce56a53ff06f === null) {
            return null;
        }
        try {
            return new \Date($_67a0d624aebcceb0abd5ce56a53ff06f);
        } catch (Throwable $_fe441aa3ef350bfb1a1a1ad8520dd530) {
            return null;
        }
    }
}